function H = compute_filter(sampf,band)

% this function computes filter coefficients for the frequency band of
% interest and returns the 

% inputs to this function - sampling frequency, string - frequency band
% output from this function - filter structure
% processing performed - computation of frequency and gain parameters used
% in the design of the FIR filter.

disp 'computing the filter response'
%get filter coefficients depending on the band

switch band
    
    case 'lower_gamma'
        % select lower gamma 30-40 Hz
        H = lower_gamma_band_bandpass_filter(sampf);
        
    case 'alpha'
        % select alpha band 8-12 Hz
        H = alpha_band_bandpass_filter(sampf);
        
    case 'beta'
        % select beta band 13-30 Hz
        H = beta_band_bandpass_filter(sampf);
        
    case 'delta'
        % select delta band 1-4 Hz
        H = delta_band_bandpass_filter(sampf);
        
    case 'theta'
        % select theta band 4-8 Hz
        H = theta_band_bandpass_filter(sampf);
    
    otherwise
        % display error msg and exit
        disp('error: select a frequency band of interest')

end

% EOF
end